VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "Swimmer"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
Private frname As String, lname As String
Private club As String
Private tm As Single
Private heat As Integer, lane As Integer

Public Sub init(dataline As String)
  Dim tok As New Tokenizer, lnum As String, age As String
  Dim tmS As New Times
  
  tok.setString dataline
  tok.setSeparator " "
  lnum = tok.nextToken
  frname = tok.nextToken
  lname = tok.nextToken
  age = tok.nextToken
  club = tok.nextToken
  tmS.setText tok.nextToken
  tm = tmS.getSingle
End Sub

Public Function getTime() As Single
  getTime = tm
End Function

Public Function getName() As String
  getName = frname + " " + lname
End Function

Public Function getClub() As String
  getClub = club
End Function

Public Sub setLane(ln As Integer)
  lane = ln
End Sub

Public Function getLane() As Integer
  getLane = lane
End Function

Public Sub setHeat(ht As Integer)
  heat = ht
End Sub

Public Function getHeat() As Integer
  getHeat = heat
End Function
